पुराने संस्करणों का समर्थन

संग्रह की मदद से व्यवस्थित रहें अपनी प्राथमिकताओं के आधार पर, कॉन्टेंट को सेव करें और कैटगरी में बांटें.

हाल की पुरानी रिलीज़ बनाना (>= 5.0 लॉलीपॉप)

एंड्रॉइड वर्जन 8.0 (ओरियो या ओ) - 5.0 (लॉलीपॉप या एल) के लिए, सभी आवश्यक पैकेजों की स्थापना को आसान बनाने के लिए शामिल डॉकरफाइल का उपयोग करने पर विचार करें।

वास्तव में पुरानी रिलीज़ बनाना (<= 4.4 किटकैट)

ऑपरेटिंग सिस्टम

Android आमतौर पर GNU/Linux के साथ बनाया जाता है। विंडोज़ जैसे असमर्थित सिस्टम पर वर्चुअल मशीन में एंड्रॉइड बनाना भी संभव है।

हम GNU/Linux पर निर्माण करने की सलाह देते हैं। एंड्रॉइड बिल्ड सिस्टम सामान्य रूप से सिस्टम DEX फाइलों को प्रीकंपाइल करने के लिए बिल्ड मशीन पर ART चलाता है। एआरटी केवल लिनक्स पर चल सकता है, इसलिए बिल्ड सिस्टम गैर-लिनक्स ऑपरेटिंग सिस्टम पर इस प्रीकंपिलेशन चरण को छोड़ देता है, जिसके परिणामस्वरूप कम प्रदर्शन के साथ एंड्रॉइड बिल्ड होता है।

जीएनयू/लिनक्स

  • एंड्रॉइड 6.0 (मार्शमैलो) - एओएसपी मास्टर: उबंटू 14.04 (भरोसेमंद)
  • एंड्रॉइड 2.3.x (जिंजरब्रेड) - एंड्रॉइड 5.x (लॉलीपॉप): उबंटू 12.04 (सटीक)
  • एंड्रॉइड 1.5 (कपकेक) - एंड्रॉइड 2.2.x (फियोयो): उबंटू 10.04 (ल्यूसिड)

मैक ओएस एक्स (इंटेल/x86)

  • Android 6.0 (मार्शमैलो) - AOSP मास्टर: Mac OS X v10.10 (Yosemite) या उच्चतर Xcode 4.5.2 और कमांड लाइन टूल्स के साथ
  • एंड्रॉइड 5.x (लॉलीपॉप): मैक ओएस एक्स v10.8 (माउंटेन लायन) एक्सकोड 4.5.2 और कमांड लाइन टूल्स के साथ
  • Android 4.1.x (जेली बीन) - Android 4.4.x (किटकैट): Mac OS X v10.6 (हिम तेंदुआ) या Mac OS X v10.7 (शेर) और Xcode 4.2 (Apple डेवलपर टूल)
  • Android 1.5 (कपकेक) - Android 4.0.x (आइसक्रीम सैंडविच): Mac OS X v10.5 (तेंदुए) या Mac OS X v10.6 (हिम तेंदुआ) और Mac OS X v10.5 SDK

जीएनयू मेक

एंड्रॉइड 4.1.x (जेली बीन) के माध्यम से एओएसपी मास्टर शाखा से कम संस्करणों के लिए, जीएनयू मेक (जीमेक) 3.82 का उपयोग करें। Android 4.0.x (आइसक्रीम सैंडविच) और उससे कम के लिए, बिल्ड त्रुटियों से बचने के लिए gmake 3.82 से वापस लौटें

एक्सकोड और अन्य पैकेज

Mac OS X v10.8 या उससे कम के निचले संस्करणों के लिए, Apple डेवलपर साइट से Xcode इंस्टॉल करें। यदि आप पहले से Apple डेवलपर के रूप में पंजीकृत नहीं हैं, तो आपको डाउनलोड करने के लिए एक Apple ID बनानी होगी।

यदि Mac OS X v10.4 का उपयोग कर रहे हैं, तो बाइसन भी स्थापित करें:

    POSIXLY_CORRECT=1 sudo port install bison

MacPorts के लिए, समस्या:

    POSIXLY_CORRECT=1 sudo port install gmake libsdl git gnupg

Homebrew के लिए, जारी करें:

    brew install gmake libsdl git gnupg2

gmake 3.82 . से वापस लाया जा रहा है

Android 4.0.x (आइसक्रीम सैंडविच) और उससे नीचे के संस्करण में, gmake 3.82 में एक बग है जो Android को बनने से रोकता है। आप इन चरणों के साथ MacPorts का उपयोग करके संस्करण 3.81 स्थापित कर सकते हैं:

  1. संपादित करें /opt/local/etc/macports/sources.conf और इस लाइन को जोड़ें:
        file:///Users/Shared/dports
    rsync लाइन के ऊपर। फिर यह निर्देशिका बनाएं:
        mkdir /Users/Shared/dports
  2. नई dports निर्देशिका में, चलाएँ:
        svn co --revision 50980 http://svn.macports.org/repository/macports/trunk/dports/devel/gmake/ devel/gmake/
  3. अपने नए स्थानीय भंडार के लिए एक पोर्ट इंडेक्स बनाएं:
        portindex /Users/Shared/dports
  4. gmake का पुराना संस्करण स्थापित करें:
        sudo port install gmake @3.81

जेडीके

समर्थित संस्करण

लिनक्स के लिए JDK

एंड्रॉइड ओपन सोर्स प्रोजेक्ट (एओएसपी) में एंड्रॉइड की master शाखा prebuilts/jdk/ के प्रीबिल्ट संस्करणों के साथ आती है, इसलिए कोई अतिरिक्त इंस्टॉलेशन की आवश्यकता नहीं है।

Android के निचले संस्करणों के लिए JDK की एक अलग स्थापना की आवश्यकता होती है। उबंटू पर, OpenJDK का उपयोग करें।

उबंटू 15.04 और उच्चतर के लिए

निम्नलिखित चलाएँ:

sudo apt-get update
sudo apt-get install openjdk-8-jdk

उबंटू एलटीएस 14.04 . के लिए

Ubuntu 14.04 के लिए समर्थित OpenJDK 8 पैकेज उपलब्ध नहीं हैं। Ubuntu 15.04 OpenJDK 8 पैकेजों का उपयोग Ubuntu 14.04 के साथ सफलतापूर्वक किया गया है। उच्चतर पैकेज संस्करण (उदाहरण के लिए, जो 15.10, 16.04 के लिए हैं) 14.04 को नीचे दिए गए निर्देशों का उपयोग करके काम नहीं करते हैं।

  1. 64-बिट आर्किटेक्चर के लिए old-releases.ubuntu.com से .deb पैकेज डाउनलोड करें:
    • openjdk-8-jre-headless_8u45-b14-1_amd64.deb
      SHA256 0f5aba8db39088283b51e00054813063173a4d8809f70033976f83e214ab56c0 के साथ
    • openjdk-8-jre_8u45-b14-1_amd64.deb
      SHA256 9ef76c4562d39432b69baf6c18f199707c5c56a5b4566847df908b7d74e15849 के साथ
    • openjdk-8-jdk_8u45-b14-1_amd64.deb
      SHA256 6e47215cf6205aa829e6a0a64985075bd29d1f428a4006a80c9db371c2fc3c4c के साथ
  2. वैकल्पिक रूप से, ऊपर दिए गए प्रत्येक पैकेज के साथ सूचीबद्ध SHA256 स्ट्रिंग के विरुद्ध डाउनलोड की गई फ़ाइलों के चेकसम की पुष्टि करें। उदाहरण के लिए, sha256sum टूल के साथ:
        sha256sum {downloaded.deb file}
  3. संकुल संस्थापित करें:
        sudo apt-get update
    आपके द्वारा डाउनलोड की गई प्रत्येक .deb फ़ाइल के लिए dpkg चलाएँ। यह अनुपलब्ध निर्भरता के कारण त्रुटियाँ उत्पन्न कर सकता है:
        sudo dpkg -i {downloaded.deb file}
    लापता निर्भरता को ठीक करने के लिए:
        sudo apt-get -f install

(वैकल्पिक) डिफ़ॉल्ट जावा संस्करण को अपडेट करें

वैकल्पिक रूप से, ऊपर दिए गए उबंटू संस्करणों के लिए, डिफ़ॉल्ट जावा संस्करण को चलाकर अपडेट करें:

sudo update-alternatives --config java
sudo update-alternatives --config javac